<template>
  <li class="catalog__item">
    <router-link
      class="catalog__pic"
      href="#"
      :to="{ name: 'product', params: { id: product.id } }"
    >
      <img :src="product.image" :alt="product.title" />
    </router-link>

    <h3 class="catalog__title">
      <a href="#">
        {{ product.title }}
      </a>
    </h3>

    <span class="catalog__price"> {{ product.price | numberFormat() }} ₽ </span>

    <ul class="colors colors--black">
      <li :key="color.id" v-for="color in product.colors" class="colors__item">
        <label class="colors__label">
          <input class="colors__radio sr-only" type="radio" checked="" />
          <span class="colors__value" :style="`background-color: ${color.code}`"></span>
        </label>
      </li>
    </ul>
  </li>
</template>

<script>
import gotoPage from '@/helpers/gotoPage'
import numberFormat from '@/helpers/numberFormat'

export default {
  filters: {
    numberFormat,
  },
  methods: { gotoPage },
  props: ['product'],
}
</script>
